<?php
/*
Plugin Name: Better Howdy
Plugin URI: http://sivel.net/wordpress/
Description: Remove 'Howdy' and restructure the 'Howdy' line.  Props to Ozh for <a href="http://planetozh.com/blog/my-projects/no-howdy-a-plugin-for-wordpress/">No Howdy</a>.
Author: Matt Martz
Version: 1.0
Author URI: http://sivel.net/
*/

// Hook in
if (is_admin()) {
	add_action('init', 'better_howdy_h');
	add_action('admin_footer', 'better_howdy_f');

	// Load jQuery
	function better_howdy_h() {
		wp_enqueue_script('jquery');
	}

	// Modify
	function better_howdy_f() {
?>

<script type="text/javascript">
/* <![CDATA[ */
	var user = jQuery('#user_info p a:first').text();
	var howdy = jQuery('#user_info p').html().replace(/<.+>/,'');
	jQuery('#user_info p')
		.html(
		jQuery('#user_info p')
			.html()
			.replace(user,'My Profile')
			.replace(howdy,'Logged in as ' + user + ' | ')
			.replace('!',' |')
			.replace('| |','|')
		);
/* ]]> */
</script>

<?php 
	} 
}
?>
